HPermissionDeniedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HPermissionDeniedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.havi.ui.HPermissionDeniedException

All Implemented Interfaces:
  Serializable

    public class HPermissionDeniedException

extends Exception

Thrown when an application attempts to control a device or feature it does not have the right to do at the time of making the call. The precise conditions of this are defined in more detail in the places where this exception is thrown. It could be when the application does not have some underlying resource reserved.

This exception is not related in any way to the Java security model or to `java.lang.SecurityException`. Methods where an application could be denied the right to control a device or feature by security policy also must throw a `java.lang.SecurityException`.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
message | Message explaining why the exception was thrown | null | - | java.lang.Throwable#getMessage

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Constructor Summary
`HPermissionDeniedException()` Creates an HPermissionDeniedException object.
`HPermissionDeniedException(String message)` Creates an HPermissionDeniedException object with a specified reason string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HPermissionDeniedException

    public HPermissionDeniedException()

  Creates an HPermissionDeniedException object. See the class description for details of constructor parameters and default values.

### HPermissionDeniedException

    public HPermissionDeniedException(String message)

  Creates an HPermissionDeniedException object with a specified reason string.

  Parameters:
    `message` - the reason why the exception was raised

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD